<!DOCTYPE html>
<!-- interface conçue par Samuel Niang
Contact samuel.niang@gmail.com
-->

<!-- Ce document est la propriété
de Samuel Niang
Toute utilisation autres que celles entendues
avec l'auteur son interdites
-->

<html>

<head>
	<title>Synthèse vocale</title>
	<meta charset="utf-8"/>
	<meta name="author" content="Samuel Niang"/>
	<link rel="stylesheet" href="main.css"/>
</head>

<body>

	<header>
		<h1>Synthèse vocale</h1>
	</header>

	<div class="corps">
		<h2>Comment utiliser la synthèse vocale ?</h2>
		<div class="center">
			<form id="form_id" action="speak.php" method="post">
				<textarea name="mytext" rows="8" cols="40">Tapez votre texte à prononcer ici</textarea>
				<br/>
				<select name="langue">
					<option value="fr">Français</option>
					<option value="en">English</option>
					<option value="de">Deutsch</option>
				</select>
				<input type="submit" value="Prononcer !"/>
			</form>
		</div>
	</div>
	<div class="corps">
		Il s'agit d'installer et d'utiliser la synthèse vocale de google.
		<h2>Comment installer la synthèse vocale ?</h2>
		Il faut d'abord installer le serveur.
		<br>Installer mpg321:
		<pre>
			sudo apt-get install mpg321
		</pre>
		Ajoutez l'utilisateur www-data au groupe audio :
		<pre>
			sudo adduser www-data audio
		</pre>
		Dans un fichier php "speak.php", placé dans le répertoir "/var/www", tapez le code suivant :
		<pre>
			&lt;?php
			exec('mpg321 "http://translate.google.com/translate_tts?tl=fr&q=Hello%20World"');
			?&gt;
		</pre>
		Une fois la RPi connectée à internet, entrez dans le terminal pour lancer la lecture:
		<pre>
			sudo php /var/www/speak.php
		</pre>
		ou ouvrir dans un navigateur web :
		<pre>
			ip.de.votre.raspberry/speak.php
		</pre>
	</div>

	<footer>
		<div class="center">
			<br>
			<a href="http://www.samuelniang.eu">Me contacter</a>
			<br/>
			<a href="https://twitter.com/LokiNiang" class="twitter-follow-button" data-show-count="false" data-lang="fr" data-size="large" data-show-screen-name="false">Suivre @LokiNiang</a>
			<script>
				!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');
			</script>
		</div>
	</footer>
</body>

</html>
<?php
if(isset($_POST['mytext'])){
	$langue = $_POST['langue'];
	$text = $_POST['mytext'];
	$text = str_replace(" ","%20",$text);
	exec('mpg321 "http://translate.google.com/translate_tts?tl='.$langue.'&q='.$text.'"');
}
else{
	exec('mpg321 "http://translate.google.com/translate_tts?tl=fr&q=Bienvenue"');
}
?>
